<?php

/**
 * Opencart CardGatePlus payment extension
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * @category    Payment
 * @package     Payment_CardGatePlus
 * @author      Richard Schoots, <info@cardgate.com>
 * @copyright   Copyright (c) 2014 CardGatePlus B.V. (http://www.cardgateplus.com)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class ControllerPaymentCardGatePlusGeneric extends Controller {

    public $error = array();

    public function _index($payment) {
        
        $version = '2.0.8';
        $this->load->language( 'payment/'.$payment );
        $this->document->setTitle( $this->language->get( 'heading_title' ) );
        $this->load->model( 'setting/setting' );

        if ( ($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate()) ) {
            $this->load->model( 'setting/setting' );
            $this->model_setting_setting->editSetting( $payment, $this->request->post );
            $this->session->data['success'] = $this->language->get( 'text_success' );
            $this->redirect( $this->url->link( 'extension/payment', 'token=' . $this->session->data['token'], 'SSL' ) );
        }

        $this->data['heading_title'] = $this->language->get( 'heading_title' );

        $this->data['text_enabled'] = $this->language->get( 'text_enabled' );
        $this->data['text_disabled'] = $this->language->get( 'text_disabled' );
        $this->data['text_all_zones'] = $this->language->get( 'text_all_zones' );
        $this->data['text_test_mode'] = $this->language->get( 'text_test_mode' );
        $this->data['text_live_mode'] = $this->language->get( 'text_live_mode' );
        $this->data['text_language_dutch'] = $this->language->get( 'text_language_dutch' );
        $this->data['text_language_english'] = $this->language->get( 'text_language_english' );
        $this->data['text_language_german'] = $this->language->get( 'text_language_german' );
        $this->data['text_language_french'] = $this->language->get( 'text_language_french' );
        $this->data['text_language_spanish'] = $this->language->get( 'text_language_spanish' );
        $this->data['text_language_greek'] = $this->language->get( 'text_language_greek' );
        $this->data['text_language_croatian'] = $this->language->get( 'text_language_croatian' );
        $this->data['text_language_italian'] = $this->language->get( 'text_language_italian' );
        $this->data['text_language_czech'] = $this->language->get( 'text_language_czech' );
        $this->data['text_language_russian'] = $this->language->get( 'text_language_russian' );
        $this->data['text_language_swedish'] = $this->language->get( 'text_language_swedish' );
        $this->data['text_set_order_status'] = $this->language->get( 'text_set_order_status' );
        $this->data['text_cardgate_version'] = $version;
        $this->data['text_author'] = $this->language->get( 'text_author' );

        $this->data['text_note_control_url'] = $this->language->get( 'text_note_control_url' );

        $this->data['entry_test_mode'] = $this->language->get( 'entry_test_mode' );
        $this->data['entry_site_id'] = $this->language->get( 'entry_site_id' );
        $this->data['entry_hash_key'] = $this->language->get( 'entry_hash_key' );
        $this->data['entry_gateway_language'] = $this->language->get( 'entry_gateway_language' );
        $this->data['entry_total'] = $this->language->get( 'entry_total' );
        $this->data['entry_geo_zone'] = $this->language->get( 'entry_geo_zone' );
        $this->data['entry_order_description'] = $this->language->get( 'entry_order_description' );
        $this->data['entry_payment_initialized_status'] = $this->language->get( 'entry_payment_initialized_status' );
        $this->data['entry_payment_complete_status'] = $this->language->get( 'entry_payment_complete_status' );
        $this->data['entry_payment_failed_status'] = $this->language->get( 'entry_payment_failed_status' );
        $this->data['entry_payment_fraud_status'] = $this->language->get( 'entry_payment_fraud_status' );
        $this->data['entry_plugin_status'] = $this->language->get( 'entry_plugin_status' );
        $this->data['entry_sort_order'] = $this->language->get( 'entry_sort_order' );
        $this->data['entry_author'] = $this->language->get( 'entry_author' );
        $this->data['entry_version_status'] = $this->language->get( 'entry_version_status' );

        $this->data['button_save'] = $this->language->get( 'button_save' );
        $this->data['button_cancel'] = $this->language->get( 'button_cancel' );
        $this->data['tab_general'] = $this->language->get( 'tab_general' );

        if ( isset( $this->error['warning'] ) ) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }

        if ( isset( $this->error['site_id'] ) ) {
            $this->data['error_site_id'] = $this->error['site_id'];
        } else {
            $this->data['error_site_id'] = '';
        }

        if ( isset( $this->error['hash_key'] ) ) {
            $this->data['error_hash_key'] = $this->error['hash_key'];
        } else {
            $this->data['error_hash_key'] = '';
        }
        
         if ( isset( $this->error['payment_method'] ) ) {
            $this->data['error_payment_method'] = $this->error['payment_method'];
        } else {
            $this->data['error_payment_method'] = '';
        }

        $this->data['breadcrumbs'] = array();
        $this->data['breadcrumbs'][] = array(
            'href' => $this->url->link( 'common/home', 'token=' . $this->session->data['token'], 'SSL' ),
            'text' => $this->language->get( 'text_home' ),
            'separator' => false
        );
        $this->data['breadcrumbs'][] = array(
            'href' => $this->url->link( 'extension/payment', 'token=' . $this->session->data['token'], 'SSL' ),
            'text' => $this->language->get( 'text_payment' ),
            'separator' => ' :: '
        );
        $this->data['breadcrumbs'][] = array(
            'href' => $this->url->link( 'payment/'.$payment, 'token=' . $this->session->data['token'], 'SSL' ),
            'text' => $this->language->get( 'heading_title' ),
            'separator' => ' :: '
        );
        $this->data['action'] = $this->url->link( 'payment/'.$payment, 'token=' . $this->session->data['token'], 'SSL' );
        $this->data['cancel'] = $this->url->link( 'extension/payment', 'token=' . $this->session->data['token'], 'SSL' );


        if ( isset( $this->request->post[$payment.'_site_id'] ) ) {
            $this->data[$payment.'_site_id'] = $this->request->post[$payment.'_site_id'];
        } else {
            $this->data[$payment.'_site_id'] = $this->config->get( $payment.'_site_id' );
        }

        if ( isset( $this->request->post[$payment.'_hash_key'] ) ) {
            $this->data[$payment.'_hash_key'] = $this->request->post[$payment.'_hash_key'];
        } else {
            $this->data[$payment.'_hash_key'] = $this->config->get( $payment.'_hash_key' );
        }
        
        if ( isset( $this->request->post[$payment.'_test_mode'] ) ) {
            $this->data[$payment.'_test_mode'] = $this->request->post[$payment.'_test_mode'];
        } else {
            $this->data[$payment.'_test_mode'] = $this->config->get( $payment.'_test_mode' );
        }

        if ( isset( $this->request->post[$payment.'_gateway_language'] ) ) {
            $this->data[$payment.'_gateway_language'] = $this->request->post[$payment.'_gateway_language'];
        } else {
            $this->data[$payment.'_gateway_language'] = $this->config->get( $payment.'_gateway_language' );
        }

        if ( isset( $this->request->post[$payment.'_order_description'] ) ) {
            $this->data[$payment.'_order_description'] = $this->request->post[$payment.'_order_description'];
        } else {
            $this->data[$payment.'_order_description'] = $this->config->get( $payment.'_order_description' );
        }


        if ( isset( $this->request->post[$payment.'_payment_initialized_status'] ) ) {
            $this->data[$payment.'_payment_initialized_status'] = $this->request->post[$payment.'_payment_initialized_status'];
        } else {
            $this->data[$payment.'_payment_initialized_status'] = $this->config->get( $payment.'_payment_initialized_status' );
        }

        if ( isset( $this->request->post[$payment.'_payment_complete_status'] ) ) {
            $this->data[$payment.'_payment_complete_status'] = $this->request->post[$payment.'_payment_complete_status'];
        } else {
            $this->data[$payment.'_payment_complete_status'] = $this->config->get( $payment.'_payment_complete_status' );
        }

        if ( isset( $this->request->post[$payment.'_payment_failed_status'] ) ) {
            $this->data[$payment.'_payment_failed_status'] = $this->request->post[$payment.'_payment_failed_status'];
        } else {
            $this->data[$payment.'_payment_failed_status'] = $this->config->get( $payment.'_payment_failed_status' );
        }

        if ( isset( $this->request->post[$payment.'_payment_fraud_status'] ) ) {
            $this->data[$payment.'_payment_fraud_status'] = $this->request->post[$payment.'_payment_fraud_status'];
        } else {
            $this->data[$payment.'_payment_fraud_status'] = $this->config->get( $payment.'_payment_fraud_status' );
        }

        $this->load->model( 'localisation/order_status' );
        $this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

        if ( isset( $this->request->post[$payment.'_total'] ) ) {
            $this->data[$payment.'_total'] = $this->request->post[$payment.'_total'];
        } else {
            $this->data[$payment.'_total'] = $this->config->get( $payment.'_total' );
        }

        if ( isset( $this->request->post[$payment.'_geo_zone_id'] ) ) {
            $this->data[$payment.'_geo_zone_id'] = $this->request->post[$payment.'_geo_zone_id'];
        } else {
            $this->data[$payment.'_geo_zone_id'] = $this->config->get( $payment.'_geo_zone_id' );
        }

        $this->load->model( 'localisation/geo_zone' );
        $this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

        if ( isset( $this->request->post[$payment.'_status'] ) ) {
            $this->data[$payment.'_status'] = $this->request->post[$payment.'_status'];
        } else {
            $this->data[$payment.'_status'] = $this->config->get( $payment.'_status' );
        }

        if ( isset( $this->request->post[$payment.'_sort_order'] ) ) {
            $this->data[$payment.'_sort_order'] = $this->request->post[$payment.'_sort_order'];
        } else {
            $this->data[$payment.'_sort_order'] = $this->config->get( $payment.'_sort_order' );
        }

        $this->template = 'payment/'.$payment.'.tpl';
        $this->children = array(
            'common/header',
            'common/footer'
        );

        $this->response->setOutput( $this->render( true ), $this->config->get( 'config_compression' ) );
    }

    public function _validate($payment) {
        if ( !$this->user->hasPermission( 'modify', 'payment/'.$payment ) ) {
            $this->error['warning'] = $this->language->get( 'error_permission' );
        }

        if ( !$this->request->post[$payment.'_site_id'] ) {
            $this->error['site_id'] = $this->language->get( 'error_site_id' );
        }

        if ( !$this->request->post[$payment.'_hash_key'] ) {
            $this->error['hash_key'] = $this->language->get( 'error_hash_key' );
        }
        
        if ( !$this->error ) {
            return true;
        } else {
            return false;
        }
    }
}
