<?php
/**
 * Opencart CardGatePlus payment extension
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * @category    Payment
 * @package     Payment_CardGatePlus
 * @author      Richard Schoots, <info@cardgate.com>
 * @copyright   Copyright (c) 2014 CardGatePlus B.V. (http://www.cardgate.com)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
?><?php echo $header; ?>
<div id="content">
    <div class="breadcrumb">
        <?php
            foreach ($breadcrumbs as $breadcrumb) {
                echo $breadcrumb['separator'] . "<a href='{$breadcrumb['href']}'>" . $breadcrumb['text'] . "</a>";
            }
        ?>
    </div>
    
  <?php if ($error_warning) : ?>
    <div class="warning"><?php echo $error_warning; ?></div>
  <?php endif; ?>
  
    <div class="box"> 
        <div class="left"></div> 
        <div class="right"></div> 

        <div class="heading">
            <h1><img src="view/image/payment/cardgateplus.png" alt="<?php echo $heading_title; ?>" title="<?php echo $heading_title; ?>" /></h1>
            <div class="buttons"><a onclick="$('form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location='<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
        </div>

        <div class="content">
            <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
                <table class="form">
                <tr>
                    <td colspan="2"><?php echo $text_note_control_url; ?><b>http://<?php echo $_SERVER['SERVER_NAME']; ?>/index.php?route=payment/cardgategeneric/control</b></td>
                </tr>
                <tr>
                    <td><?php echo $entry_test_mode; ?></td>
                    <td>
                        <select name="cardgatebanktransfer_test_mode">
                        <?php if ($cardgatebanktransfer_test_mode == "test"): ?>
                        	<option value="live"><?php echo $text_live_mode; ?></option>
                            <option value="test" selected="selected"><?php echo $text_test_mode; ?></option>
                        <?php else: ?>
                            <option value="live" selected="selected"><?php echo $text_live_mode; ?></option>
                            <option value="test"><?php echo $text_test_mode; ?></option>
                        <?php endif; ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td width="25%">
                        <span class="required">*</span> <?php echo $entry_site_id; ?>
                    </td>
                    <td>
                        <input type="text" name="cardgatebanktransfer_site_id" value="<?php echo $cardgatebanktransfer_site_id; ?>" />
                        <?php if ($error_site_id) : ?>
                            <span class="error"><?php echo $error_site_id; ?></span>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td>
                        <span class="required">*</span> <?php echo $entry_hash_key; ?>
                    </td>
                    <td>
                        <input type="text" name="cardgatebanktransfer_hash_key" value="<?php echo $cardgatebanktransfer_hash_key; ?>" />
                        <?php if ($error_hash_key) : ?>
                            <span class="error"><?php echo $error_hash_key; ?></span>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><?php echo $entry_gateway_language; ?></td>
                    <td>
                        <select name="cardgatebanktransfer_gateway_language">
                            <?php
                                $lang_options = array(
                                    'nl' => $text_language_dutch,
                                    'en' => $text_language_english,
                                    'de' => $text_language_german,
                                    'fr' => $text_language_french,
                                    'es' => $text_language_spanish,
                                    'gr' => $text_language_greek,
                                    'hr' => $text_language_croatian,
                                    'it' => $text_language_italian,
                                    'cz' => $text_language_czech,
                                    'ru' => $text_language_russian,
                                    'se' => $text_language_swedish,                                    
                                );
                                foreach ($lang_options as $key => $text):
                            ?>
                                <option value="<?php echo $key?>"<?php echo ($cardgatebanktransfer_gateway_language == $key) ? ' selected="selected"':''; ?>><?php echo $text; ?></option>
                            <?php  endforeach; ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><?php echo $entry_order_description; ?></td>
                    <td>
                        <?php if (!empty($cardgatebanktransfer_order_description)): ?>
                            <input type="text" name="cardgatebanktransfer_order_description" value="<?php echo $cardgatebanktransfer_order_description; ?>" />
                        <?php else: ?>
                            <input type="text" name="cardgatebanktransfer_order_description" value="Order %id%" />
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><?php echo $entry_total; ?></td>
                    <td><input type="text" name="cardgatebanktransfer_total" value="<?php echo $cardgatebanktransfer_total; ?>" /></td>
                </tr>
                <tr>
                    <td><?php echo $entry_geo_zone; ?></td>
                    <td>
                        <select name="cardgatebanktransfer_geo_zone_id">
                        <option value="0"><?php echo $text_all_zones; ?></option>
                        <?php foreach ($geo_zones as $geo_zone) { ?>
                            <?php if ($geo_zone['geo_zone_id'] == $cardgatebanktransfer_geo_zone_id) { ?>
                                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                            <?php } else { ?>
                                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                            <?php } ?>
                        <?php } ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><strong><?php echo $text_set_order_status; ?></strong></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><?php echo $entry_payment_initialized_status; ?></td>
                    <td><select name="cardgatebanktransfer_payment_initialized_status">
                        <?php foreach ($order_statuses as $order_status) { ?>
                        <?php if ($order_status['order_status_id'] == $cardgatebanktransfer_payment_initialized_status) { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                    </select></td>
                </tr>
                <tr>
                    <td><?php echo $entry_payment_complete_status; ?></td>
                    <td><select name="cardgatebanktransfer_payment_complete_status">
                        <?php foreach ($order_statuses as $order_status) { ?>
                        <?php if ($order_status['order_status_id'] == $cardgatebanktransfer_payment_complete_status) { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                    </select></td>
                </tr>
                <tr>
                    <td><?php echo $entry_payment_failed_status; ?></td>
                    <td><select name="cardgatebanktransfer_payment_failed_status">
                        <?php foreach ($order_statuses as $order_status) { ?>
                        <?php if ($order_status['order_status_id'] == $cardgatebanktransfer_payment_failed_status) { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                    </select></td>
                </tr>
                <tr>
                    <td><?php echo $entry_payment_fraud_status; ?></td>
                    <td><select name="cardgatebanktransfer_payment_fraud_status">
                        <?php foreach ($order_statuses as $order_status) { ?>
                        <?php if ($order_status['order_status_id'] == $cardgatebanktransfer_payment_fraud_status) { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                    </select></td>
                </tr>
                <tr>
                    <td><?php echo $entry_plugin_status; ?></td>
                    <td>
                        <select name="cardgatebanktransfer_status">
                        <?php if ($cardgatebanktransfer_status): ?>
                            <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                            <option value="0"><?php echo $text_disabled; ?></option>
                        <?php else: ?>
                            <option value="1"><?php echo $text_enabled; ?></option>
                            <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                        <?php endif; ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td><?php echo $entry_sort_order; ?></td>
                    <td><input type="text" name="cardgatebanktransfer_sort_order" value="<?php echo $cardgatebanktransfer_sort_order; ?>" size="1" /></td>
                </tr>
                <tr>
                    <td style="vertical-align: middle;"><?php echo $entry_version_status; ?></td>
                    <td style="vertical-align: middle;"><?php echo $text_cardgate_version; ?><input type="hidden" name="cardgatebanktransfer_version_number" value="<?php echo $text_cardgate_version; ?>" size="1" /></td>
                </tr>
                <tr>
                    <td><?php echo $entry_author; ?></td>
                    <td><?php echo $text_author; ?></td>
                </tr>
                </table>
            </form>
        </div>
    </div>
    
</div>
<?php echo $footer; ?>
